This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 824169 - [abrt] fonttools-2.3-3.fc15: __init__.py:560:getGlyphID:UnboundLocalError: local variable 'glyphID' referenced before assignment
[abrt] fonttools-2.3-3.fc15: __init__.py:560:getGlyphID:UnboundLocalError: lo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fonttools (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
abrt_hash:c9262901dce2731a0b31e9ae6c2...
:
: 824171 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 17:06 EDT by Pablo Rodríguez
Modified: 2013-08-01 05:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:14:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (77.24 KB, text/plain)
2012-05-22 17:07 EDT, Pablo Rodríguez
no flags Details

  None (edit)
Description Pablo Rodríguez 2012-05-22 17:06:59 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/ttx -a LinLibertine_R.ttx
executable:     /usr/bin/ttx
kernel:         3.3.5-2.fc16.i686
reason:         __init__.py:560:getGlyphID:UnboundLocalError: local variable 'glyphID' referenced before assignment
time:           mar 22 may 2012 23:03:49 CEST
uid:            1000
username:       ousia

backtrace:      Text file, 79092 bytes

comment:
:Running "ttx -a LinLibertine_R.ttx" (obtained with a previous unproblematic "ttx -a LinLibertine_R.otf").
:
:Reporting the issue myself upstream.
Comment 1 Pablo Rodríguez 2012-05-22 17:07:09 EDT
Created attachment 586189 [details]
File: backtrace
Comment 2 Pablo Rodríguez 2012-05-22 17:13:29 EDT
Reported upstream at https://sourceforge.net/tracker/?func=detail&aid=3528935&group_id=29196&atid=395372.
Comment 3 Pablo Rodríguez 2012-05-22 17:15:03 EDT
*** Bug 824171 has been marked as a duplicate of this bug. ***
Comment 4 Parag Nemade 2012-05-23 01:58:57 EDT
I suspect this is a font issue as i checked with other fonts and they showed no problem for font to ttx and ttx to font back conversion.
Comment 5 Parag Nemade 2012-07-06 09:29:51 EDT
I can reproduce this in F17 but still think there should be problem in font.
Comment 6 Fedora End Of Life 2013-07-03 22:42:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 05:14:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.